Skip to content

[DELETE] Task Speaker⚓︎

Use this request to delete a speaker in a specific task and workspace.

Task Speaker⚓︎

DELETE/api/v1.0/external/transcripts/speakers/tasks/{taskId}/{workspaceId}/{speakerId}

Path Parameters⚓︎

NameTypeDescription
taskIdintegerThe ID that identifies the task to retrieve data on. This ID is always unique and never changes after it has been created.
workspaceIdintegerThe ID that identifies the workspace to retrieve data on. This ID is always unique and never changes after it has been created.
speakerIdstringThe unique identifier of your Speaker.

Example Request⚓︎

curl -X 'DELETE' \
'https://cloud.smartdocumentor.net/api/v1.0/external/transcripts/speakers/tasks/1234/5678/90edf137-ea2a-4b59-bf51-45446299d47e' \
  --header 'Authorization: Bearer {your access token here}' \
  --header 'accept: application/json' \
  --header 'Content-Type: application/json'
var client = new HttpClient();

var request = new HttpRequestMessage(HttpMethod.Delete, "https://cloud.smartdocumentor.net/api/v1.0/external/transcripts/speakers/tasks/1234/5678/90edf137-ea2a-4b59-bf51-45446299d47e");
request.Headers.Add("Authorization", "Bearer {your access token here}");
request.Headers.Add("Accept", "application/json");

var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();

Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests

url = "https://cloud.smartdocumentor.net/api/v1.0/external/transcripts/speakers/tasks/1234/5678/90edf137-ea2a-4b59-bf51-45446299d47e"

headers = {
  'Authorization': 'Bearer {your access token here}',
  'Accept': 'application/json'
}

response = requests.request("DELETE", url, headers=headers)

print(response.text)
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer {your access token here}");
myHeaders.append("Accept", "application/json");

var requestOptions = {
  method: 'DELETE',
  headers: myHeaders
};

fetch("https://cloud.smartdocumentor.net/api/v1.0/external/transcripts/speakers/tasks/1234/5678/90edf137-ea2a-4b59-bf51-45446299d47e", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));

Responses⚓︎

{
    "speakerId": "90edf137-ea2a-4b59-bf51-45446299d47e",
    "speakerName": "Some Name",
    "speakerPrefix": "",
    "speakerSuffix": "",
    "isDefault": false
}

Response Body ExternalTaskSpeakerModel⚓︎

NameTypeDescription
speakerIdstringThe unique identifier of your Speaker.
speakerNamestringThe name of your Speaker.
speakerPrefixstring (optional)Optional prefix for your Speaker.
speakerSuffixstring (optional)Optional suffix for your Speaker.
isDefaultbooleanDefines whether the Speaker is the default

{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "SpeakerIdRequired",
    "status": 400,
    "detail": "All speakers must have a valid ID.",
    "instance": null,
    "extensions": {
        "traceId": "00-de637cdee9a55d62de690f00efeb27ee-a498fdae355af2be-01"
    }
}

Response Body Problem Detail JSON Object⚓︎

{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.6.1",
    "title": "InternalError",
    "status": 500,
    "detail": "An unexpected error occurred while retrieving speakers.",
    "instance": null,
    "extensions": {
        "traceId": "00-e1ce801f984167f0dd6fff048dae36f1-aecdff59f7c6abf9-01"
    }
}

Response Body Problem Detail JSON Object⚓︎